<?php

require_once("../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if (!comprobar_sesion()) {
    $ar = array();
    $ar['error'] = 'session';
    echo json_encode($ar);
    exit;
}
require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));

if (isset($_POST['oper'])) {
    $codconfig = $sesion->get('configuracion');
    $porc_nots_eqals = $codconfig['notas_iguales'];

    $acction = $_POST['oper'];
    $codigo = $_POST['id']; //codigo del regidtro

    $nom_sab = escapar($_POST['txtnomsab']);
    $des = escapar($_POST['txtdescsab']);
    $ord = escapar($_POST['txtorden'], 'int');
    $def = escapar($_POST['txtdefault'], 'int');

    $por = escapar($_POST['txtporcen'], 'int');
    $ul_ord = escapar($_POST['k_ord'], 'int');
    $minnotas = $academia->escapar($_POST['txtminnotas']);
    $percmbnotas = $academia->escapar($_POST['txtpermodnot']);

    $ord = empty($ord) ? $ul_ord : $ord;
    $ord = (int) $ord;
    switch ($acction) {
        case 'del':
            $sql = "delete from `conf_saberes`  WHERE `cod_saber` = '$codigo';";
            break;
        case 'edit';
            $ord = empty($ord) ? '' : ', orden=' . $ord;
            $sql = "UPDATE conf_saberes SET  nombre_saber = '$nom_sab', descripcion_saber='$des', por_defecto='$por',defecto='$def',min_notas='$minnotas',acc_notas='$percmbnotas' $ord WHERE cod_saber = '$codigo';";
            break;
        case 'new':
            $sql = "call SP_NEW_ACA_CONF_SABERES('$nom_sab', '$des' , $ord, '$def','$por','$minnotas','$percmbnotas');";
            //"INSERT INTO `conf_saberes`(nombre_saber,descripcion_saber,orden) VALUES ('$nom_sab', '$des' , $ord);";
            break;
        default:
            $sql = "";
    }


    if ($sql != '') {
        $academia->instruccion($sql);
        if ($acction == 'new') {
            $r = $academia->extraer_registro();
            $rta = array('error' => $academia->extraer_error(), 'id' => $r['cd'], 'ult_ord' => $ord + 1, 'acc' => 'new', sql => $sql);
            echo json_encode($rta);
        } else {
            $rta = array('error' => $academia->extraer_error(), 'id' => $codigo, 'ult_ord' => $ord + 1, 'acc' => $acction);
            echo json_encode($rta);
        }
        if ($porc_nots_eqals == 1) {
            $academia->instruccion("SELECT FN_VERIFICA_NOTAS() ");
        }
    }
}
$academia->cerrar();
?>